language: python
python:
 - "2.7"
 - "3.4"
 - "3.5"
 - "pypy"
cache: pip
script:
 - nosetests --with-coverage
install:
 - pip install coverage
 - pip install codeclimate-test-reporter
 - pip install -r requirements.txt
after_success:
 - CODECLIMATE_REPO_TOKEN=e8e05973a6c49139de5f98013cd285f9238b78d20f053f37f6e7deeab2c2c52f codeclimate-test-reporter
services:
 - rabbitmq
